"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _readline = _interopRequireDefault(require("readline"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class Question {
  _createIfNeeded() {
    if (!this._cli) {
      this._cli = _readline.default.createInterface({
        input: process.stdin,
        output: process.stdout
      });
    }
  }

  ask(question, defaultValue) {
    this._createIfNeeded();

    return new Promise(resolve => {
      const def = defaultValue ? " [".concat(defaultValue, "]") : "";

      this._cli.question("".concat(question, "?").concat(def, " "), response => {
        const resp = response.trim();
        resolve(resp || defaultValue || "");
      });
    });
  }

  close() {
    if (this._cli) {
      this._cli.close();

      this._cli = null;
    }
  }

}

var _default = Question;
exports.default = _default;