"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _cheerio = _interopRequireDefault(require("cheerio"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getCurrentFullName = async () => {
  const xml = String((await _fsExtra.default.readFile("android/app/src/main/res/values/strings.xml")));

  const $ = _cheerio.default.load(xml);

  return $("string[name=app_name]").text();
};

const getCurrentName = async () => {
  const settings = String((await _fsExtra.default.readFile("android/settings.gradle")));
  const matches = settings.match(/rootProject.name\s*=\s*'([^']+)'/);

  if (!matches) {
    return "";
  }

  return matches[1];
};

const getCurrentPackage = async () => {
  const xml = String((await _fsExtra.default.readFile("android/app/src/main/AndroidManifest.xml")));

  const $ = _cheerio.default.load(xml);

  return $("manifest").attr("package");
};

const getCurrentNames = () => {
  return Promise.all([getCurrentFullName(), getCurrentName(), getCurrentPackage()]);
};

var _default = getCurrentNames;
exports.default = _default;