"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = _interopRequireDefault(require("path"));

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _emptyDir = _interopRequireDefault(require("empty-dir"));

var _last = _interopRequireDefault(require("bottom-line-utils/dist/last"));

var _conditionals = _interopRequireDefault(require("./_conditionals"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getParts = name => {
  const parts = name.split(".");
  const without = [...parts];
  without.length--;
  return [parts, without];
};

const moveAndroidJava = {
  name: "move Android java files",
  if: _conditionals.default.packageName,
  fn: async data => {
    const [sourceParts, sourcePartsWithout] = getParts(data.currentPackageName);
    const [targetParts, targetPartsWithout] = getParts(data.newPackageName);

    const sourceDir = _path.default.join("android/app/src/main/java", ...sourcePartsWithout);

    const targetDir = _path.default.join("android/app/src/main/java", ...targetPartsWithout);

    await _fsExtra.default.move(_path.default.join(sourceDir, (0, _last.default)(sourceParts)), _path.default.join(targetDir, (0, _last.default)(targetParts)));

    while (sourcePartsWithout.length) {
      const dir = _path.default.join("android/app/src/main/java", ...sourcePartsWithout);

      const isEmpty = await (0, _emptyDir.default)(dir);

      if (!isEmpty) {
        break;
      }

      await _fsExtra.default.remove(dir);
      sourcePartsWithout.pop();
    }
  }
};
var _default = moveAndroidJava;
exports.default = _default;