"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = _interopRequireDefault(require("path"));

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _conditionals = _interopRequireDefault(require("./_conditionals"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const renameNameMainJava = {
  name: "rename short name inside MainActivity.java",
  if: _conditionals.default.name,
  fn: async data => {
    const targetParts = data.newPackageName.split(".");

    const targetDir = _path.default.join("android/app/src/main/java", ...targetParts);

    const filePath = _path.default.join(targetDir, "MainActivity.java");

    const contents = String((await _fsExtra.default.readFile(filePath)));
    const newContents = contents.replace("return \"".concat(data.currentName, "\""), "return \"".concat(data.newName, "\""));

    if (contents !== newContents) {
      await _fsExtra.default.writeFile(filePath, newContents);
      return;
    }

    throw new Error("Cannot find current short name in MainActivity.java");
  }
};
var _default = renameNameMainJava;
exports.default = _default;