"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _escapeStringRegexp = _interopRequireDefault(require("escape-string-regexp"));

var _conditionals = _interopRequireDefault(require("./_conditionals"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const renameNameSettingsGradle = {
  name: "rename short name inside settings.gradle",
  if: _conditionals.default.name,
  fn: async data => {
    const settings = String((await _fsExtra.default.readFile("android/settings.gradle")));
    const current = (0, _escapeStringRegexp.default)(data.currentName);
    const newSettings = settings.replace(new RegExp("rootProject.name\\s*=\\s*['\"]".concat(current, "['\"]")), "rootProject.name = '".concat(data.newName, "'"));

    if (settings !== newSettings) {
      await _fsExtra.default.writeFile("android/settings.gradle", newSettings);
      return;
    }

    throw new Error("Cannot find current short name in settings.gradle");
  }
};
var _default = renameNameSettingsGradle;
exports.default = _default;