"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _escapeStringRegexp = _interopRequireDefault(require("escape-string-regexp"));

var _conditionals = _interopRequireDefault(require("./_conditionals"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const renamePackageBUCK = {
  name: "rename package inside BUCK",
  if: _conditionals.default.packageName,
  fn: async data => {
    const settings = String((await _fsExtra.default.readFile("android/app/BUCK")));
    const current = (0, _escapeStringRegexp.default)(data.currentPackageName);
    const newBUCK = settings.replace(new RegExp("package\\s*=\\s*\"".concat(current, "\""), "g"), "package = \"".concat(data.newPackageName, "\""));

    if (settings !== newBUCK) {
      await _fsExtra.default.writeFile("android/app/BUCK", newBUCK);
      return;
    }

    throw new Error("Cannot find current package name in BUCK");
  }
};
var _default = renamePackageBUCK;
exports.default = _default;