"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _escapeStringRegexp = _interopRequireDefault(require("escape-string-regexp"));

var _conditionals = _interopRequireDefault(require("./_conditionals"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const renamePackageBuildGradle = {
  name: "rename package inside build.gradle",
  if: _conditionals.default.packageName,
  fn: async data => {
    const build = String((await _fsExtra.default.readFile("android/app/build.gradle")));
    const current = (0, _escapeStringRegexp.default)(data.currentPackageName);
    const newBuild = build.replace(new RegExp("applicationId \"".concat(current, "\"")), "applicationId \"".concat(data.newPackageName, "\""));

    if (build !== newBuild) {
      await _fsExtra.default.writeFile("android/app/build.gradle", newBuild);
      return;
    }

    throw new Error("Cannot find current package name in build.gradle");
  }
};
var _default = renamePackageBuildGradle;
exports.default = _default;