"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = _interopRequireDefault(require("path"));

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _conditionals = _interopRequireDefault(require("./_conditionals"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const renameFile = async ({
  targetDir,
  file,
  data
}) => {
  const result = {
    name: file
  };
  const contents = String((await _fsExtra.default.readFile(_path.default.join(targetDir, file))));
  const newContents = contents.replace("package ".concat(data.currentPackageName, ";"), "package ".concat(data.newPackageName, ";"));

  if (contents !== newContents) {
    await _fsExtra.default.writeFile(_path.default.join(targetDir, file), newContents);
    result.result = true;
    return result;
  }

  result.result = new Error("Cannot find current package name in ".concat(file));
  return result;
};

const renamePackagesJavaFiles = {
  name: "rename package inside java files",
  if: _conditionals.default.packageName,
  fn: async data => {
    // @TODO support for deeply located java files?
    const targetParts = data.newPackageName.split(".");

    const targetDir = _path.default.join("android/app/src/main/java", ...targetParts);

    const results = [];
    const files = ["MainActivity.java", "MainApplication.java"];

    for (let i = 0; i < files.length; i++) {
      const file = files[i];
      results.push((await renameFile({
        targetDir,
        file,
        data
      })));
    }

    return results;
  }
};
var _default = renamePackagesJavaFiles;
exports.default = _default;