"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _cheerio = _interopRequireDefault(require("cheerio"));

var _conditionals = _interopRequireDefault(require("./_conditionals"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const renamePackageManifest = {
  name: "rename package inside AndroidManifest.xml",
  if: _conditionals.default.packageName,
  fn: async data => {
    // @TODO support for manifest in debug and release as well
    const xml = String((await _fsExtra.default.readFile("android/app/src/main/AndroidManifest.xml")));
    const newXml = xml.replace("package=\"".concat(data.currentPackageName, "\""), "package=\"".concat(data.newPackageName, "\""));

    if (xml !== newXml) {
      await _fsExtra.default.writeFile("android/app/src/main/AndroidManifest.xml", newXml);
      return;
    } // most basic option failed, let's try full parsing


    const $ = _cheerio.default.load(xml, {
      xmlMode: true
    });

    $("manifest").attr("package", data.newPackageName);
    await _fsExtra.default.writeFile("android/app/src/main/AndroidManifest.xml", $.html());
  }
};
var _default = renamePackageManifest;
exports.default = _default;