"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _conditionals = _interopRequireDefault(require("./_conditionals"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const loadAppJson = async () => {
  let data = null,
      jsonPath;

  try {
    data = await _fsExtra.default.readFile("./app.json");
    jsonPath = "./app.json";
  } catch (e) {
    // eslint-disable-line no-unused-vars
    data = await _fsExtra.default.readFile("src/app.json");
    jsonPath = "src/app.json";
  }

  const json = JSON.parse(String(data));
  return {
    json,
    jsonPath
  };
};

const updateAppJson = {
  name: "update short name inside app.json",
  if: _conditionals.default.name,
  fn: async data => {
    const {
      json,
      jsonPath
    } = await loadAppJson();

    if (!json) {
      throw new Error("Could not load app.json");
    }

    json.name = data.newName;
    json.displayName = data.newName;
    const JSON_INDENT = 2;
    await _fsExtra.default.writeFile(jsonPath, JSON.stringify(json, null, JSON_INDENT));
  }
};
var _default = updateAppJson;
exports.default = _default;