"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _cheerio = _interopRequireDefault(require("cheerio"));

var _conditionals = _interopRequireDefault(require("./_conditionals"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const updateFullName = {
  name: "update full name inside strings.xml",
  if: _conditionals.default.fullName,
  fn: async data => {
    const xml = String((await _fsExtra.default.readFile("android/app/src/main/res/values/strings.xml")));

    const $ = _cheerio.default.load(xml, {
      xmlMode: true
    });

    $("string[name=app_name]").text(data.newFullName);
    await _fsExtra.default.writeFile("android/app/src/main/res/values/strings.xml", $.html());
  }
};
var _default = updateFullName;
exports.default = _default;